<div class="container-fluid">
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item" aria-current="page"><%=dictionary.page.identities.name%></li>
      <li class="breadcrumb-item active" aria-current="page"><%=dictionary.page.identities.page.email.name%></li>
    </ol>
  </nav>

  <div class="row mt-4">
    <div class="col col-12">
      <div class="mdc-card">
        <p class="email__card-title"><strong><%=dictionary.page.identities.page.email.text%></strong></p>
        <% if(emails && emails.length > 0) { %>
        <% for(const email of emails) { %>
        <span class="email__card-content" data-name="<%=email%>">
          <%=email%>
          <div class="btn-group dropstart email__card-content-menu">
            <span id="dropdownMenuButton1" type="button" class="dropdown-toggle material-icons-outlined menu-icon" data-bs-toggle="dropdown" aria-expanded="false">more_vert</span>
            <ul class="dropdown-menu">
              <li><a class="dropdown-item" href="javascript:void(0)" onclick="deleteEmail(this)">usuń</a></li>
            </ul>
          </div>
          <span class="email__card-content-verified">zweryfikowany</span>
        </span>
        <% } %>
        <% } else { %>
        <span class="email__card-content"><%=dictionary.page.identities.page.email.empty%></span>
        <% } %>
      </div>
    </div>
  </div>

  <div class="email__address-manager mt-5">
    <p style="font-weight: bold"><%=dictionary.page.identities.page.email.q%></p>
    <p><%=dictionary.page.identities.page.email.info%></p>
    <div class="mdc-touch-target-wrapper d-block">
      <button class="mdc-button mdc-button--touch mb-3" data-bs-toggle="collapse" aria-expanded="false" aria-controls="emailInput" onclick="emailInputCollapse()">
        <span class="mdc-button__ripple"></span>
        <span class="mdc-button__label"><%=dictionary.page.identities.page.email.button%></span>
        <span class="mdc-button__touch"></span>
      </button>
    </div>
  </div>

  <div class="collapse" id="emailInput">
    <div class="email__data-collapse">
      <div class="email__data-add-content mdc-card pt-0 p-4">
        <span><%=dictionary.page.identities.page.email.description%></span>
        <input class="email__input mt-4" type="email" name="email__address" value="" placeholder="email">
        <!-- <span class="email__input-text mt-3">Potwierdź adres email: </span> -->
        <input class="email__input mt-4" type="email" name="repeated__email-address" value="" placeholder='<%=dictionary.page.identities.page.email.repeat%>'>
        <span class="email__add-button mt-4" type="button" onclick="addNewEmailAddress()"><%=dictionary.page.identities.page.email.confirm%></span>

        <!-- <div class="dropdown">
          <span id="dropdownMenuButton1" type="button" class="dropdown-toggle material-icons-outlined" data-bs-toggle="dropdown" aria-expanded="false">more_vert</span>
          <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
            <li><a class="dropdown-item" href="#">Action</a></li>
            <li><a class="dropdown-item" href="#">Another action</a></li>
            <li><a class="dropdown-item" href="#">Something else here</a></li>
          </ul>
        </div> -->
      </div>
      <!-- <div class="email__data-confirm-content mdc-card p-4">
        <span class="email__input-text">wprowadź kod potwierdzający: </span>
        <input class="email__input email__input-confirm" type="text" name="" value="" placeholder="kod">
        <span class="email__add-button" type="button" onclick="emailCodeConfirmation()">potwierdź</span>
      </div> -->
    </div>
  </div>
</div>

<!-- Custom JS -->
<script type="text/javascript" src="/js/page_content.js" charset="utf-8"></script>
<script type="text/javascript" src="/js/email.js" charset="utf-8"></script>

<script type="text/javascript">
  // mdc.textField.MDCTextField.attachTo(document.querySelector('.mdc-text-field'));
  // $("#emailInput").on('keyup', (e) => {
  //   if (e.key === 'Enter' || e.keyCode === 13) {
  //     showToast('_user-email-input', '<svg class="bi flex-shrink-0 me-2 green" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>', 'Email',
  //       'The activation link was sent to your email! Please check your mailbox');
  //   }
  // });
</script>
